{% extends "layout.html" %}
{% block page_title %}Welcome to the GitLab pipeline{% endblock %}
{% block body %}
    {{ super() }}
    <img src="{{ url_for('static', filename='img/index_pink_crystal.png') }}" class="img-responsive" alt="Pink crystal"><br /> 
     <!-- <img src="{{ url_for('static', filename='img/index_flamingo.jpg') }}" class="img-responsive" alt="Flamingo"><br /> -->
    <p>This is a minimal web app developed with <a href="http://flask.pocoo.org/">Flask</a> framework.</p>
    <p>The main purpose is to introduce how to implement the essential elements in web applications with Flask, including</p>
    <ul>
        <li>URL Building</li>
        <li>Authentication with Sessions</li>
        <li>Template & Template Inheritance</li>
        <li>Error Handling</li>
        <li>Integrating with Bootstrap</li>
        <li>Interaction with Database (SQLite)</li>
        <li>Invoking static resources</li>
        <li>Upload files</li>
    </ul>

    <p>For more basic knowledge of Flask, you can refer to <a href="https://www.tutorialspoint.com/flask/">a tutorial on Tutorialspoint</a>.</p>
{% endblock %}
